@import url("normalize.css");
@import url("http://fonts.googleapis.com/css?family=Lato:300|Tangerine");



/*
BASE (MOBILE) SIZE
*/
html, body {
	font-size: 100%;
	min-width: 360px;
	margin: 0;
	padding: 0;
	min-height: 100%;
}


#bgwrap {
	width: 100%;
	min-height: 100%;
	position: absolute;
	/*background-image: url(../images/bg/volcano.jpeg);*/
	background-size: cover;
	background-repeat: no-repeat;
	background-position: right bottom;
/*	background-attachment: fixed;*/
}

.backstretch { display: none } /* use fixed bg property for mobile devices */

#wrap, #footer, #header {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	
	background: rgba( 255, 255, 255, 0.85 );
	padding: 10px;
	min-width: 360px;
	width: 100%;
	
	-webkit-box-shadow: 0 0 6px 1px rgba(0, 0, 0, 0.3);
	-moz-box-shadow: 0 0 6px 1px rgba(0, 0, 0, 0.3);
	box-shadow: 0 0 6px 1px rgba(0, 0, 0, 0.3);
}

#wrap {
	background: rgba( 255, 255, 255, 0.9 );
	min-height: 200px;
	margin: 7em 0 0em 0;
	font-family: 'Lato', sans-serif;
	font-weight: 300;
	position: relative;
	padding: 20px 0 10px;
}

#footer {
	height: 1.4em;
	font-family: 'Tangerine', cursive;
	font-size: 300%;
	text-align: center;
	color: #11117b;
	text-shadow: 0 1px 0 rgba(255,255,255,0.3);
}

#footer .doubleline {
	display: none;
}

#flowers-infront, #flowers-behind {
	display: block;
	position: absolute;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: top center;
	margin: 0 auto;
	top: 7em;
	width: 100%;
}
#flowers-infront {
	background-image: url(../images/small-flowers-all.png);
	height: 48px;
	margin-top: -20px;
}
#flowers-behind {
	display: none;
}

#header {
	position: absolute;
	top: 0;
	padding: 0;
	height: 3em;
	overflow: hidden;
	font-family: 'Lato', sans-serif;
	font-weight: 300;
}

/* ///////////////////////// */

a {
	-o-transition: 0.4s;
	-ms-transition: 0.4s;
	-moz-transition: 0.4s;
	-webkit-transition: 0.4s;
	transition: 0.4s;
}
a, a:link, a:visited {
	color: #65649a;
	text-decoration: none;
	border-bottom: 1px dotted transparent;
}
a:visited, a:hover {
	color: #8e5968;
}
a:hover {
	border-bottom: 1px dotted #8e5968;
}


#content {
	position: relative;
	z-index: 100;
	max-width: 460px;
	margin: 0 auto;
	padding: 0 15px;
}

ul.hotel-list li {
	margin-bottom: 0.5em
}


/* ///////////////////////// */


.nav {
	position: absolute;
	top: 0;
	left: 0;
	margin: 0;
	padding: 0;
	height: 3em;
}
.nav li {
	display: block;
	float: left;
	height: 3em;
	z-index: 5;
}
.nav li a, .nav li a:link {
	display: block;
	height: 3em;
	line-height: 3.25em;
	border: none;
	color: #559;
	text-decoration: none;
	padding: 0 0.75em;
	text-shadow: 0 1px 0 rgba(255,255,255,0.3);
	font-weight: bold;
}
.nav li a:hover {
	color: #11117b;
	background: #eee;
}
.nav li a.selected, .nav li a:active {
	color: #888;
	background: rgba(0,0,0,0.04);
	-webkit-box-shadow: inset 0 0 8px rgba(0,0,0,0.2);
	box-shadow: inset 0 0 8px rgba(0,0,0,0.2);
}


#navpopout {
	display: none;
	width: 100%;
	height: 100%;
	background: black;
	background: rgba(0,0,0,0.8);
	z-index: 101;
	-webkit-box-shadow: 0 0 8px rgba(0,0,0,0.4);
	box-shadow: 0 0 8px rgba(0,0,0,0.4);
	opacity: 0;
}
#navpopout li {
	float: none;
	clear: left;
	background: #e0e0e0;
}

/* ///////////////////////// */


.nav li.scroll, .nav li.navclose {
	display: none;
	position: absolute;
	top: 0;
	z-index: 10;
}
.nav li.scroll a {
	background: #f5f5f5;
	-webkit-box-shadow: 0 0 8px rgba(0,0,0,0.4);
	box-shadow: 0 0 8px rgba(0,0,0,0.4);
}
.nav li.scroll-left { left: 0 }
.nav li.scroll-right { right: 0 }
.nav li.navclose {
	right: 0;
	display: block;
	border: 1px solid #bbb;
	border-width: 0 0 1px 1px;
	margin-top: -1px;
}
.nav li.navclose a {
	background: #f5f5f5;
}

/* ///////////////////////// */

.clearfix:after {
	content: '';
	display: block;
	clear: both;
}


h1 {
	font-family: 'Tangerine', cursive;
	font-weight: normal;
	font-size: 350%;
	text-align: center;
	margin-top: 0.2em;
}
h2 {
	font-family: 'Lato', sans-serif;
	font-weight: 100;
	color: #11117b;
	font-variant: small-caps;
	line-height: 50px;
	height: 50px;
	margin: 1.5em 0 0 -10px;
	white-space: nowrap;
}
h2 img {
	display: block;
	float: left;
	margin-right: 10px;
}
h2 + p {
	margin-top: 0.7em;
}

p.oneline {
	font-weight: bold;
	font-family: sans-serif;
	font-size: 90%;
	padding: 0;
	color: #444;
	display: table;
}
p.oneline span {
	display: table-cell;
	vertical-align: middle;
}
p.location-icon {
	background: url(../images/icon-location.png) no-repeat left center;
	min-height: 26px;
	line-height: 26px;
	padding-left: 30px;
}



hr {
	height: 0px;
	overflow: hidden;
	width: 100%;
	border: none;
	border-top: 1px solid rgba(0,0,0,0.2);
	border-bottom: 1px solid rgba(255,255,255,0.7);
}

.couplenames {
	font-family: 'Tangerine', cursive;
	color: #11117b;
	min-width: 340px;
	max-width: 420px;
	margin: 0 auto;
	background: url(../images/bigrings.png) no-repeat center 50px;
	background-size: 152px 155px;
	min-height: 220px;
	position: relative;
}
.couplenames > div {
	line-height: 3em;
	color: black;
	padding: 50px 1em;
}
.couplenames h1 {
	font-family: 'Lato', sans-serif;
	margin: 0;
	padding: 0;
	font-size: 200%;
	text-align: center;
	width: 100%;
	color: black;
}
.cn-left { float: left; text-align: right; }
.cn-right {	float: right; text-align: left; }
.cn-first {	font-size: 400% }
.cn-last { font-size: 250% }



input[type="text"], input[type="number"] {
	font-size: 18px;
	-webkit-box-shadow: inset 1px 1px 5px rgba(0, 0, 0, 1);
	box-shadow: inset 2px 2px 3px rgba(0, 0, 0, 0.15);
	-webkit-border-radius: 5px;
	border-radius: 5px;
	color: #555;
	padding: 3px;
	margin: 0.25em 0 0.85em;
	border: 1px solid #b5b5b5;
	background: #fff;
	min-width: 200px;
}
input[type="number"] {
	margin-bottom: 0;
	width: 2.5em;
	min-width: 2.5em;
}
label {
	display: block;
	clear: both;
}
input[type="radio"] + label {
	float: left;
	clear: none;
	height: 1em;
	line-height: 1em;
}
input[type="radio"] {
	float: left;
	display: block;
	clear: left;
	height: 1em;
	line-height: 1em;
	margin: 0 0.5em 1em 0;
}
#attending-no {
	margin-bottom: 0;
}
fieldset {
	padding: 1em;
	margin: 0.25em 0 1em 0;
	background: #e5e5e5;
	-webkit-box-shadow: inset 2px 2px 3px rgba(0,0,0,0.1);
	box-shadow: inset 2px 2px 3px rgba(0,0,0,0.1);
	-webkit-border-radius: 6px;
	border-radius: 6px;
}

.nice-button, a.nice-button, input[type="submit"], input[type="button"], button {
	text-decoration: none;
	display: inline-block;
	padding: 0.25em 0.5em;
	margin: 0;
	color: white;
	cursor: pointer;
	text-shadow: 0 1px 1px #000;
	-webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
	border: 1px solid #555;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	position: relative;
	
	background: #6b6daa; /* Old browsers */
	background: -moz-linear-gradient(top,  #6b6daa 0%, #213584 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6b6daa), color-stop(100%,#213584)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #6b6daa 0%,#213584 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #6b6daa 0%,#213584 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #6b6daa 0%,#213584 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #6b6daa 0%,#213584 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6b6daa', endColorstr='#213584',GradientType=0 ); /* IE6-9 */
}
.nice-button:hover, a.nice-button:hover input[type="submit"]:hover, input[type="button"]:hover, button:hover {
	background: #7678c2; /* Old browsers */
	background: -moz-linear-gradient(top,  #7678c2 0%, #304dc2 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#7678c2), color-stop(100%,#304dc2)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #7678c2 0%,#304dc2 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #7678c2 0%,#304dc2 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #7678c2 0%,#304dc2 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #7678c2 0%,#304dc2 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#7678c2', endColorstr='#304dc2',GradientType=0 ); /* IE6-9 */
}

.nice-button:active, a.nice-button:active, input[type="submit"]:active, input[type="button"]:active, button:active {
	background: #2E4082;
}

.nice-button-white, a.nice-button-white {
	color: black;
	text-shadow: 0 1px 0 #eee;
	border-color: #aaa;
	
	background: #ddd; /* Old browsers */
	background: -moz-linear-gradient(top,  #fff 0%, #ccc 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#fff), color-stop(100%,#ccc)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #fff 0%,#ccc 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #fff 0%,#ccc 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #fff 0%,#ccc 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #fff 0%,#ccc 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#cccccc',GradientType=0 ); /* IE6-9 */
}
.nice-button-white:hover, a.nice-button-white:hover {
	background: #eee; /* Old browsers */
	background: -moz-linear-gradient(top,  #fff 0%, #ddd 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#fff), color-stop(100%,#ddd)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #fff 0%,#ddd 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #fff 0%,#ddd 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #fff 0%,#ddd 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #fff 0%,#ddd 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#dddddd',GradientType=0 ); /* IE6-9 */
}
.nice-button-white:active, a.nice-button-white:active {
	background: #eee;
}


#party-div {
	display: none;
}

form#rsvp { position: relative }
img.spinner {
	vertical-align: middle;
	display: none;
	margin-left: 20px;
}
#form_error {
	position: absolute;
	top: 50px;
	right: 0;
	width: 190px;
	height: 100px;
	color: red;
}

table { width: 100% }
th, td {
	padding: 5px 7px;
	border: 1px solid #ccc;
}
th {
	font-weight: bold;
	font-family: sans-serif;
	text-align: left;
}
tr.attending td { background: rgba(200, 228, 202, 0.3) }
tr.not-attending td { background: rgba(228, 200, 202, 0.3) }


#gallery { margin-top: 20px }
#gallery img {
	height: 120px;
	width: 120px;
	-moz-border-radius: 6px;
	border-radius: 6px;
}

#gallery a {
	padding: 5px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	border: 1px solid #ccc;
	background: white;
	margin: 3px;
	display: block;
	float: left;
	box-shadow: 1px 1px 4px 0 rgba(0, 0, 0, 0.2);
}

#gallery a:hover {
	border-color: black;
}

/*
LARGER MOBILE DEVICES
*/
@media only screen and (min-width: 481px) {

.couplenames > div {
	line-height: 3.5em;
	padding-top: 30px;
}
.cn-first {	font-size: 500% }
.cn-last { font-size: 300% }

}

/*
TABLET & SMALLER LAPTOPS
*/
@media only screen and (min-width: 768px) {

#bgwrap {
	padding-bottom: 0 !important; /* we don't need the user to be able to scroll to see the background image since the image shows on the right */
	background: none !important;
}
.backstretch { display: block } /* use backstretch for larger screens */
body {
	position: absolute;
	width: 100%;
	min-height: 100%;
}

#wrap {
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	
	width: 500px;
	min-height: 300px;
	
	margin: 8em 0 8em 5em;
	padding: 20px;	
}


#footer {
	position: absolute;
	bottom: 0;
}

#footer .doubleline {
	display: inline-block;
	height: 5px;
	border: 1px solid rgba( 0, 0, 127, 0.3 );
	border-width: 1px 0;
	width: 80px;
	margin: 0 10px 5px;
}

#content {
	padding: 10px 20px 0;
}


#flowers-infront, #flowers-behind {
	top: 8em;
	left: 5em;
}
#flowers-infront {
	background-image: url(../images/flowers-infront.png);
	margin: -36px 0 0 -36px;
	width: 341px;
	height: 317px;
}
#flowers-behind {
	display: block;
	background-image: url(../images/flowers-behind.png);
	width: 231px;
	height: 210px;
}


h1 {
	margin-top: 0;
}
hr {
	width: 500px;
	margin-left: -40px;
}


}

/*
DESKTOP
*/
@media only screen and (min-width: 1030px) {
	
	
}

/*
LARGE VIEWING SIZE
*/
@media only screen and (min-width: 1240px) {
	
	
}

/*
RETINA (2x RESOLUTION DEVICES)
*/

@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
       only screen and (min--moz-device-pixel-ratio: 1.5),
       only screen and (min-device-pixel-ratio: 1.5) {
		
	/* base size */
	#flowers-infront { background-image: url(../images/small-flowers-all@2x.png) }
	#flowers-behind { background-image: url(../images/small-flowers-behind@2x.png) }
	
	.couplenames { background-image: url(../images/bigrings@2x.png) }
	
	p.location-icon {
		background-image: url(../images/icon-location@2x.png);
		background-size: 16px 26px;
	}
}

@media only screen and (-webkit-min-device-pixel-ratio: 1.5) and (min-width: 768px),
       only screen and (min--moz-device-pixel-ratio: 1.5) and (min-width: 768px),
       only screen and (min-device-pixel-ratio: 1.5) and (min-width: 768px) {
	
	#flowers-infront { background-image: url(../images/flowers-infront@2x.png) }
	#flowers-behind { background-image: url(../images/flowers-behind@2x.png) }
}

/*
PRINT STYLESHEET
*/
@media print {
	
	
}